Request an email change (step-up; verify-before-switch)
POST
/store/v1/customers/me/email/change
const url = 'https://your-store.example.com/store/v1/customers/me/email/change';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"newEmail":"hello@example.com","currentPassword":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/store/v1/customers/me/email/change \ --header 'Content-Type: application/json' \ --data '{ "newEmail": "hello@example.com", "currentPassword": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
newEmail
required
string format: email
currentPassword
required
string
Example generated
{ "newEmail": "hello@example.com", "currentPassword": "example"}